# Class SaslQuorumAuthServer

java.lang.Object
org.apache.zookeeper.server.quorum.auth.SaslQuorumAuthServer

All Implemented Interfaces:
  `QuorumAuthServer`

public class SaslQuorumAuthServer extends Object implements QuorumAuthServer

## Constructor Summary

Constructors
Constructor
Description
`SaslQuorumAuthServer(boolean quorumRequireSasl, String loginContext, Set<String> authzHosts)`

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(Socket sock, DataInputStream din)`
Performs an authentication step for the given socket connection.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaslQuorumAuthServer

public SaslQuorumAuthServer(boolean quorumRequireSasl, String loginContext, Set<String> authzHosts) throws SaslException

Throws:
  `SaslException`

## Method Details

### authenticate

public void authenticate(Socket sock, DataInputStream din) throws SaslException
Description copied from interface: `QuorumAuthServer`
Performs an authentication step for the given socket connection.

Specified by:
  `authenticate` in interface `QuorumAuthServer`
Parameters:
  `sock` - socket connection to other quorum peer
  `din` - stream used to read auth data send by the quorum learner
Throws:
  `SaslException`